/**
* 文件：WarehouseForm.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/
package com.mortals.xhx.module.warehouse.web;

import com.mortals.framework.web.BaseCRUDFormLong;
import com.mortals.xhx.module.warehouse.model.WarehouseEntity;
import com.mortals.xhx.module.warehouse.model.WarehouseQuery;

/**
 * <p>Title: 仓库表</p>
 * <p>Description: WarehouseForm  </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
public class WarehouseForm extends BaseCRUDFormLong<WarehouseEntity> {
	private WarehouseEntity warehouse = new WarehouseEntity();
	private WarehouseQuery query = new WarehouseQuery(); 
	public WarehouseForm(){
		
	}
	
    @Override
	public WarehouseEntity getEntity() {
		return warehouse;
	}
	public WarehouseEntity getWarehouse() {
		return warehouse;
	}

	public void setWarehouse(WarehouseEntity warehouse) {
		this.warehouse = warehouse;
	}
	
	@Override
	public WarehouseQuery getQuery() {
		return query;
	}

	public void setQuery(WarehouseQuery query) {
		this.query = query;
	}
}